Subject: Re: r8169: slow samba performance

From: Bruce Cole <[email-masked]>
Date: Wed, 22 Aug 2007 12:46:24 -0700

Shane wrote:
> On Wed, Aug 22, 2007 at 09:39:47AM -0700, Bruce Cole wrote:
>   
>> Shane, join the crowd :)  Try the fix I just re-posted over here:
>>     
>
> Bruce, gigabit speeds thanks for the pointer.  This fix
> works well for me though I just added the three or so lines
> in the elseif statement as it rejected with the
> r8169-20070818.  I suppose I could've merged the whole
> thing and if you need that tested, let me know but this is
> looking good.
>   
Glad it works for you.  I'm not the maintainer, and also don't have 
adequate specs from Realtek to definitively explain why the NPQ bit 
apparently needs to be re-enabled when some but not all of the TX FIFO 
is dequeued.  It is documented as if it isn't cleared until the FIFO is 
empty.  So I assume an official patch will have to wait until Francois 
is back.